weitere Rubriken
PhilosophieTräumeOrteEsoterikLiteraturHelpdeskAstronomieGruppenSpieleGamingFilmeMusikClashVerbesserungenAllmysteryWillkommenEnglishGelöscht
Diskussions-Übersichten
BesuchtTeilgenommenAlleNeueGeschlossenLesenswertSchlüsselwörter
Schiebe oft benutzte Tabs in die Navigationsleiste (zurücksetzen).

Linux Talk

3.148 Beiträge, Schlüsselwörter: Android, Linux, Betriebssystem, Ubuntu, OS, Gnome, GNU, Unity, Open Source, Mint, Opensuse + 33 weitere
Can
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 19:58
@Branntweiner

Wie finde ich das heraus?

Daran solls ja nicht scheitern.


melden
Anzeige

Linux Talk

06.05.2013 um 19:59
Also so sehr kenn ich mich jetzt net aus aber das sollte gleich beim Start angeteigt werden?!


melden
Branntweiner
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 19:59
Can schrieb:Wie finde ich das heraus?
Öhm ... du wirst doch wissen, welches Linux du installiert hast. Ubuntu? SuSE? Mint? Debian? Arch? Und dann gibt es noch ein paar hundert ;)


melden
Can
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 20:00
@Branntweiner

Ubuntu.. Ich dachte, du hast jetzt nach einer bestimmten Reihe gefragt


melden
Branntweiner
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 20:04
@Can

Alles klar. Öffne eine Shell und versuche folgende zwei Befehle (jeden Befehl durchlaufen lassen):

sudo dpkg --configure -a
sudo aptitude -f install


Falls das ohne Fehlermeldung klappt, jagst du nach:

sudo aptitude update && aptitude dist-upgrade

Falls die ersten beiden Befehle nicht klappen, ist das Paketverwaltungssystem durch den Stromausfall in einem praktisch unrettbaren Fehlerzustand. Sollte aber eigentlich nicht passieren, da Ubuntu auf Debian basiert und solche Fehler reparierbar sind.

Trotzdem: wenn es nicht klappt, gibt es eine Fehlermeldung. Kopiere den genauen Wortlaut hier ins Forum.


melden
Branntweiner
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 20:24
Kannste damit was anfangen?
Ja. Das sind Abhängigkeitsprobleme. Du bist online, oder?

Probier mal den zweiten Befehl alleine.

sudo aptitude -f install

Der sollte Abhängigkeiten holen.

Falls da wieder Fehlermeldungen kommen, mach einen Sync mit dem Server.

sudo aptitude update

Wenn der Sync Probleme macht, ist wirklich ein Problem vorhanden. Wenn nicht, schauen wir weiter (normalerweise müssten die beiden Befehle ein wackliges Paketsystem reparieren können).


melden
Can
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 20:26
@Branntweiner

Ich bekomme jetzt folgende Fehlermeldung

SyntaxError: invalid syntax
Error in sys.excepthook:
Traceback (most recent call last):
File "/usr/lib/python2.7/dist-packages/apport_python_hook.py", line 64, in apport_excepthook
from apport.fileutils import likely_packaged, get_recent_crashes
File "/usr/lib/python2.7/dist-packages/apport/__init__.py", line 4, in <module>
from apport.report import Report
File "/usr/lib/python2.7/dist-packages/apport/report.py", line 15, in <module>
import xml.dom, xml.dom.minidom
ImportError: No module named xml.dom

Original exception was:
File "<stdin>", line 1
sudo aptitude update
^
SyntaxError: invalid syntax


melden
Branntweiner
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 20:37
@Can

Da hat anscheinend Ubuntu Python in den Sand gesetzt:
https://bugs.launchpad.net/ubuntu/+source/python-virtualenv/+bug/1156704
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1095272

Kannst du mir die Ausgabe von diesem Befehl geben?

sudo aptitude upgrade

Am Ende gibst du q ein, damit es nicht durchläuft, ich will nur sehen, wie es dem Paketverwaltungssystem geht.


melden
Can
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 21:02
SyntaxError: invalid syntax
Error in sys.excepthook:
Traceback (most recent call last):
File "/usr/lib/python2.7/dist-packages/apport_python_hook.py", line 64, in apport_excepthook
from apport.fileutils import likely_packaged, get_recent_crashes
File "/usr/lib/python2.7/dist-packages/apport/__init__.py", line 4, in <module>
from apport.report import Report
File "/usr/lib/python2.7/dist-packages/apport/report.py", line 15, in <module>
import xml.dom, xml.dom.minidom
ImportError: No module named xml.dom

Original exception was:
File "<stdin>", line 1
sudo aptitude upgrade

@Branntweiner

Also hier nochmal


melden
Branntweiner
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 21:08
@Can

Probier mal

sudo apt-get --reinstall install python-apt

Habe ich von hier:
http://forum.ubuntuusers.de/topic/software-center-startet-nicht-und-gibt-fehlerm/#post-5500987

Ubuntu verwendet ja grafische Installationsroutinen, und da braucht es python-apt.

Ich drück' die Daumen!


melden
Branntweiner
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 21:09
Alternativ geht auch (falls apt nicht installiert ist):

sudo aptitude --reinstall install python-apt

@Can


melden
Can
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 21:17
Gebe ich den ersten Befehl ein(sudo apt-get --reinstall install python-apt), spuckt er mir folgende Meldung raus

-Lenovo-B570:~$ sudo apt-get --reinstall install python-apt
[sudo] password for .....:
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
gir1.2-glib-2.0 : Depends: libglib2.0-0 (>= 2.36.0) but 2.34.1-1ubuntu1 is to be installed
libgirepository-1.0-1 : Depends: libglib2.0-0 (>= 2.36.0) but 2.34.1-1ubuntu1 is to be installed
libpython2.7 : Depends: libpython2.7-stdlib (= 2.7.4-2ubuntu3) but it is not going to be installed
python2.7 : Depends: libpython2.7-stdlib (= 2.7.4-2ubuntu3) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

--------------

Wenn ich diesen Befehl eingebe (sudo aptitude --reinstall install python-apt) kommt eine Fehlermeldung

@Branntweiner


melden
Branntweiner
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 21:26
@Can

Das wären eigentlich bekannte Fehlermeldungen bei nicht stabilen rollenden Releases, aber nicht für ein stabiles Ubuntu. Es besagt, dass ein Programmpaket von einem anderen abhängt, das aber nicht vorhanden ist. Das kann eigentlich nicht sein.

Was macht "sudo apt-get -f install"?
Was macht "sudo apt-get update"?


melden
Can
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 21:30
oLenovo-B570:~$ sudo apt-get -f install
[sudo] password for :
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
libxfce4ui-1-0 libxfce4util-bin libxfce4util-common libxfce4util6
libxfconf-0-2 xfce-keyboard-shortcuts xfce4-power-manager-data xfconf
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
libelfg0 libglib2.0-0 libglib2.0-bin libpython2.7-stdlib python-gi
python-gi-cairo
The following NEW packages will be installed:
libelfg0 libpython2.7-stdlib
The following packages will be upgraded:
libglib2.0-0 libglib2.0-bin python-gi python-gi-cairo
4 upgraded, 2 newly installed, 0 to remove and 1125 not upgraded.
5 not fully installed or removed.
Need to get 0 B/3,648 kB of archives.
After this operation, 8,208 kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Selecting previously unselected package libpython2.7-stdlib:i386.
(Reading database ... 380596 files and directories currently installed.)
Unpacking libpython2.7-stdlib:i386 (from .../libpython2.7-stdlib_2.7.4-2ubuntu3_i386.deb) ...
Preparing to replace python-gi-cairo 3.4.0-1ubuntu0.1 (using .../python-gi-cairo_3.8.0-2_i386.deb) ...
Unpacking replacement python-gi-cairo ...
Preparing to replace python-gi 3.4.0-1ubuntu0.1 (using .../python-gi_3.8.0-2_i386.deb) ...
Unpacking replacement python-gi ...
Selecting previously unselected package libelfg0:i386.
Unpacking libelfg0:i386 (from .../libelfg0_0.8.13-4~1_i386.deb) ...
Preparing to replace libglib2.0-bin 2.34.1-1ubuntu1 (using .../libglib2.0-bin_2.36.0-1ubuntu2_i386.deb) ...
Unpacking replacement libglib2.0-bin ...
Preparing to replace libglib2.0-0:i386 2.34.1-1ubuntu1 (using .../libglib2.0-0_2.36.0-1ubuntu2_i386.deb) ...
Unpacking replacement libglib2.0-0:i386 ...
Processing triggers for man-db ...
Setting up libpython2.7-stdlib:i386 (2.7.4-2ubuntu3) ...
Setting up libpython2.7:i386 (2.7.4-2ubuntu3) ...
Setting up libglib2.0-0:i386 (2.36.0-1ubuntu2) ...
Setting up libgirepository-1.0-1 (1.36.0-1) ...
Setting up gir1.2-glib-2.0 (1.36.0-1) ...
Setting up python-gi (3.8.0-2) ...
Setting up python-gi-cairo (3.8.0-2) ...
Setting up libelfg0:i386 (0.8.13-4~1) ...
Setting up libglib2.0-bin (2.36.0-1ubuntu2) ...
Setting up gir1.2-freedesktop (1.36.0-1) ...
Setting up python2.7 (2.7.4-2ubuntu3) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
-Lenovo-B570:~$ sudo apt-get update
Hit http://archive.canonical.com raring Release.gpg
Hit http://archive.canonical.com raring Release
Hit http://extras.ubuntu.com raring Release.gpg
Hit http://softlibre.unizar.es raring Release.gpg
Hit http://archive.canonical.com raring/partner i386 Packages
Hit http://extras.ubuntu.com raring Release
Hit http://extras.ubuntu.com raring/main Sources
Hit http://extras.ubuntu.com raring/main i386 Packages
Ign http://archive.canonical.com raring/partner Translation-en_US
Ign http://archive.canonical.com raring/partner Translation-en
Ign http://archive.canonical.com raring/partner Translation-de
Ign http://extras.ubuntu.com raring/main Translation-en_US
Hit http://softlibre.unizar.es raring-updates Release.gpg
Ign http://extras.ubuntu.com raring/main Translation-en
Hit http://softlibre.unizar.es raring-backports Release.gpg
Ign http://extras.ubuntu.com raring/main Translation-de
Hit http://softlibre.unizar.es raring-security Release.gpg
Hit http://softlibre.unizar.es raring Release
Hit http://softlibre.unizar.es raring-updates Release
Hit http://softlibre.unizar.es raring-backports Release
Hit http://softlibre.unizar.es raring-security Release
Hit http://softlibre.unizar.es raring/main Sources
Hit http://softlibre.unizar.es raring/restricted Sources
Hit http://softlibre.unizar.es raring/universe Sources
Hit http://softlibre.unizar.es raring/multiverse Sources
Hit http://softlibre.unizar.es raring/main i386 Packages
Hit http://softlibre.unizar.es raring/restricted i386 Packages
Hit http://softlibre.unizar.es raring/universe i386 Packages
Hit http://softlibre.unizar.es raring/multiverse i386 Packages
Hit http://softlibre.unizar.es raring/main Translation-en
Hit http://softlibre.unizar.es raring/main Translation-de
Hit http://softlibre.unizar.es raring/multiverse Translation-en
Hit http://softlibre.unizar.es raring/multiverse Translation-de
Hit http://softlibre.unizar.es raring/restricted Translation-en
Hit http://softlibre.unizar.es raring/restricted Translation-de
Hit http://softlibre.unizar.es raring/universe Translation-en
Hit http://softlibre.unizar.es raring/universe Translation-de
Hit http://softlibre.unizar.es raring-updates/main Sources
Hit http://softlibre.unizar.es raring-updates/restricted Sources
Hit http://softlibre.unizar.es raring-updates/universe Sources
Hit http://softlibre.unizar.es raring-updates/multiverse Sources
Hit http://softlibre.unizar.es raring-updates/main i386 Packages
Hit http://softlibre.unizar.es raring-updates/restricted i386 Packages
Hit http://softlibre.unizar.es raring-updates/universe i386 Packages
Hit http://softlibre.unizar.es raring-updates/multiverse i386 Packages
Hit http://softlibre.unizar.es raring-updates/main Translation-en
Hit http://softlibre.unizar.es raring-updates/multiverse Translation-en
Hit http://softlibre.unizar.es raring-updates/restricted Translation-en
Hit http://softlibre.unizar.es raring-updates/universe Translation-en
Hit http://softlibre.unizar.es raring-backports/main Sources
Hit http://softlibre.unizar.es raring-backports/restricted Sources
Hit http://softlibre.unizar.es raring-backports/universe Sources
Hit http://softlibre.unizar.es raring-backports/multiverse Sources
Hit http://softlibre.unizar.es raring-backports/main i386 Packages
Hit http://softlibre.unizar.es raring-backports/restricted i386 Packages
Hit http://softlibre.unizar.es raring-backports/universe i386 Packages
Hit http://softlibre.unizar.es raring-backports/multiverse i386 Packages
Hit http://softlibre.unizar.es raring-backports/main Translation-en
Hit http://softlibre.unizar.es raring-backports/multiverse Translation-en
Hit http://softlibre.unizar.es raring-backports/restricted Translation-en
Hit http://softlibre.unizar.es raring-backports/universe Translation-en
Hit http://softlibre.unizar.es raring-security/main Sources
Hit http://softlibre.unizar.es raring-security/restricted Sources
Hit http://softlibre.unizar.es raring-security/universe Sources
Hit http://softlibre.unizar.es raring-security/multiverse Sources
Hit http://softlibre.unizar.es raring-security/main i386 Packages
Hit http://softlibre.unizar.es raring-security/restricted i386 Packages
Hit http://softlibre.unizar.es raring-security/universe i386 Packages
Hit http://softlibre.unizar.es raring-security/multiverse i386 Packages
Hit http://softlibre.unizar.es raring-security/main Translation-en
Hit http://softlibre.unizar.es raring-security/multiverse Translation-en
Hit http://softlibre.unizar.es raring-security/restricted Translation-en
Hit http://softlibre.unizar.es raring-security/universe Translation-en
Ign http://softlibre.unizar.es raring/main Translation-en_US
Ign http://softlibre.unizar.es raring/multiverse Translation-en_US
Ign http://softlibre.unizar.es raring/restricted Translation-en_US
Ign http://softlibre.unizar.es raring/universe Translation-en_US
Ign http://softlibre.unizar.es raring-updates/main Translation-en_US
Ign http://softlibre.unizar.es raring-updates/main Translation-de
Ign http://softlibre.unizar.es raring-updates/multiverse Translation-en_US
Ign http://softlibre.unizar.es raring-updates/multiverse Translation-de
Ign http://softlibre.unizar.es raring-updates/restricted Translation-en_US
Ign http://softlibre.unizar.es raring-updates/restricted Translation-de
Ign http://softlibre.unizar.es raring-updates/universe Translation-en_US
Ign http://softlibre.unizar.es raring-updates/universe Translation-de
Ign http://softlibre.unizar.es raring-backports/main Translation-en_US
Ign http://softlibre.unizar.es raring-backports/main Translation-de
Ign http://softlibre.unizar.es raring-backports/multiverse Translation-en_US
Ign http://softlibre.unizar.es raring-backports/multiverse Translation-de
Ign http://softlibre.unizar.es raring-backports/restricted Translation-en_US
Ign http://softlibre.unizar.es raring-backports/restricted Translation-de
Ign http://softlibre.unizar.es raring-backports/universe Translation-en_US
Ign http://softlibre.unizar.es raring-backports/universe Translation-de
Ign http://softlibre.unizar.es raring-security/main Translation-en_US
Ign http://softlibre.unizar.es raring-security/main Translation-de
Ign http://softlibre.unizar.es raring-security/multiverse Translation-en_US
Ign http://softlibre.unizar.es raring-security/multiverse Translation-de
Ign http://softlibre.unizar.es raring-security/restricted Translation-en_US
Ign http://softlibre.unizar.es raring-security/restricted Translation-de
Ign http://softlibre.unizar.es raring-security/universe Translation-en_US
Ign http://softlibre.unizar.es raring-security/universe Translation-de
Reading package lists... Done

@Branntweiner

hM, also keine Fehlermeldung ansich


melden
Can
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 21:32
Hab ubuntu damals übrigends in Spanien installiert


melden
Branntweiner
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 21:33
@Can

Wow! Auf APT ist halt immer Verlass!

Was macht ein "sudo apt-get upgrade"?

Damit aktualisierst du das System auf den neuesten Stand.


melden
Can
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 21:36
@Branntweiner

Jetzt wird was installiert. Mom


melden
Branntweiner
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 21:37
@Can

Und ich sehe über 1000 Aktualisierungen sind ausständig, jage diesen Befehl nach:

sudo apt-get dist-upgrade

Das holt dir die Pakete, die neue Abhängigkeiten automatisch mit installieren (macht der andere Befehl nicht). Danach Reboot. Wird wohl ein neuer Kernel auch gekommen sein.


melden
Can
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 21:40
@Branntweiner

Es tut sich einiges hier. Abwarten..


melden
Anzeige
Branntweiner
ehemaliges Mitglied

Lesezeichen setzen

Linux Talk

06.05.2013 um 21:44
Can schrieb:Es tut sich einiges hier. Abwarten
Über 1000 Pakete, das ist ein kompletter Systemupgrade. Darum auch der zweite Befehl. Der ist in diesem Fall wichtig. Auch wenn's seine Zeit braucht.

Es könnte manchmal eine Frage kommen, ob du alte Konfigurationen ändern willst. Das Standard "Nein" ist normalerweise die richtige Entscheidung.

Falls es hakelt, ein "sudo apt-get -f install" hilft in der Regel, manchmal braucht es zwei, drei Anläufe, damit alle Probleme behoben werden.

In sieben Jahren Debian gab es bei mir vielleicht 10x das Problem bei Systemaktualisierungen mit APT. Und Ubuntu übernimmt APT praktisch 1:1 von Debian. Es sollte in Schuss sein.


melden
193 Mitglieder anwesend
Konto erstellen
Allmystery Newsletter
Alle zwei Wochen
die beliebtesten
Diskussionen per E-Mail.

Themenverwandt
Anzeigen ausblenden